#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	asyncio
Summary:	Asynchronous IO Support
Name:		python3-%{module}
Version:	0.2.1
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/a/asyncio/%{module}-%{version}.tar.gz
# Source0-md5:	55dd3fa7aaa243526315d7b6e5ed1ade
URL:		https://pypi.python.org/pypi/asyncio
BuildRequires:	python3-2to3
BuildRequires:	python3-modules >= 3.3
BuildRequires:	rpm-pythonprov
Requires:	python3 >= 3.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Asynchronous IO Support library - includes a pluggable event loop,
transport and protocol abstractions similar to those in Twisted, and a
higher-level scheduler based on yield from (PEP 380)

%prep
%setup  -q -n asyncio-%{version}

%build
%{__python3} setup.py build
%{?with_tests:%{__make} test PYTHON=%{__python3}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__python3} setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-asyncio.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c2bef9
- python 3.4
- release 2 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> d288386
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fa77112
- initial

